<app-breadcrumb-admin [single]="false" titlePage="Editar Noticia" backPage="Productos" url="products"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Editar Noticia</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="title"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Titulo</span>
              </label>
              <input type="text" name="title" placeholder="Titulo" id="title" class="form-control" [(ngModel)]="news.title.es" required *ngIf="serviceTranslation.getLang() == 'es'">
              <input type="text" name="title" placeholder="Titulo"  class="form-control" [(ngModel)]="news.title.en" required *ngIf="serviceTranslation.getLang() == 'en'">
              <div class="alert alert-primary mt-3" role="alert">
                En caso de ingresar el link aparecera  "Ver más" en cada una de la noticia<br>
              </div>
              <label for="url"  class="label-flags">
                <span> Link</span>
              </label>
              <input type="text" name="url" placeholder="Link" id="url" class="form-control" [(ngModel)]="news.url">
              <label for="intro"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Introducción</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="news.intro.es" [data]="news.intro.es" name="intro" id="intro" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="news.intro.en" [data]="news.intro.en" name="intro"  *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
              <label for="content"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Contenido</span>
              </label>
              <ckeditor [editor]="Editor" [(ngModel)]="news.content.es" [data]="news.content.es" name="content" id="content" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
              <ckeditor [editor]="Editor" [(ngModel)]="news.content.en" [data]="news.content.en" name="content"  *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
            </div>
          </div>
          <div class="position-relative form-group">

            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="news._id | image: 'news'" [alt]="news.image" class="img-fluid" *ngIf="imageInit" (error)="replaceImage(image)" #image>
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
              <div class="col-12 col-md-4">
                <ngb-datepicker #dp [(ngModel)]="news.date" name="date" (navigate)="date = $event.next"></ngb-datepicker>
              </div>
            </div>
          </div>

          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: news._id: 'news'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImage(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>




